Main Page Widgets Namespaces Book

# Gtk::RC Class Reference

List of all members.

## Public Member Functions

| RC (const Glib::ustring& filename)

## Static Public Member Functions

Glib::RefPtr<Style> | get_style (const Widget& widget)
void | parse_string (const Glib::ustring& rc_string)
void | add_default_file (const Glib::ustring& filename)
void | set_default_files (const Glib::StringArrayHandle& filenames)
Glib::StringArrayHandle | get_default_files ()
bool | reparse_all ()
Glib::ustring | find_pixmap_in_path (const Glib::RefPtr<Settings>& settings, GScanner* scanner, const Glib::ustring& pixmap_file)
Glib::ustring | find_module_in_path (const Glib::ustring& pixmap_file)
Glib::ustring | get_theme_dir ()
Glib::ustring | get_module_dir ()

## Constructor & Destructor Documentation

Gtk::RC::RC | ( | const Glib::ustring& | filename | ) |

## Member Function Documentation

void Gtk::RC::add_default_file | ( | const Glib::ustring& | filename | ) | `[static]`

Glib::ustring Gtk::RC::find_module_in_path | ( | const Glib::ustring& | pixmap_file | ) | `[static]`

Glib::ustring Gtk::RC::find_pixmap_in_path | ( | const Glib::RefPtr<Settings>& | settings,
|  | GScanner* | scanner,
|  | const Glib::ustring& | pixmap_file
| ) | `[static]`

Glib::StringArrayHandle Gtk::RC::get_default_files | ( |  | ) | `[static]`

Glib::ustring Gtk::RC::get_module_dir | ( |  | ) | `[static]`

Glib::RefPtr<Style> Gtk::RC::get_style | ( | const Widget& | widget | ) | `[static]`

Glib::ustring Gtk::RC::get_theme_dir | ( |  | ) | `[static]`

void Gtk::RC::parse_string | ( | const Glib::ustring& | rc_string | ) | `[static]`

bool Gtk::RC::reparse_all | ( |  | ) | `[static]`

void Gtk::RC::set_default_files | ( | const Glib::StringArrayHandle& | filenames | ) | `[static]`

The documentation for this class was generated from the following file:

- rc.h